# sc::AccumH Class Reference

Inheritance diagram for sc::AccumH:

List of all members.

## Public Member Functions
| AccumH (StateIn &)
| AccumH (const Ref< KeyVal > &)
void | save_data_state (StateOut &)
| Save the base classes (with save_data_state) and the members in the same order that the StateIn CTOR initializes them.
virtual void | init (const Ref< Wavefunction > &)
virtual void | accum (const RefSymmSCMatrix &h)=0
virtual void | print_summary ()
virtual void | done ()
virtual double | e ()
## Protected Attributes
Ref< Wavefunction > | wfn_

## Member Function Documentation

void sc::AccumH::save_data_state | ( | StateOut & |  | ) | `[virtual]`

Save the base classes (with save_data_state) and the members in the same order that the StateIn CTOR initializes them.

This must be implemented by the derived class if the class has data.

Reimplemented from sc::SavableState.

Reimplemented in sc::AccumHNull, sc::SumAccumH, and sc::BEMSolventH.

The documentation for this class was generated from the following file:

- accum.h